## halaudiosink halaudiosink — Audio sink for sound device access via HAL |

## Properties

gchar * | udi | Read / Write

## Types and Values

| GstHalAudioSink

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstBin
                    ╰── GstHalAudioSink

## Implemented Interfaces

GstHalAudioSink implements GstChildProxy.

## Description

## Synopsis

### Element Information

plugin | halelements
author | Jürg Billeter <j@bitron.ch>
class | Sink/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Functions

## Types and Values

### GstHalAudioSink

    typedef struct _GstHalAudioSink GstHalAudioSink;

## Property Details

### The `“udi”` property

      “udi”                      gchar *

Unique Device Id.

Flags: Read / Write

Default value: NULL